package org.netkernel.lang.ncode.builtin;

import org.netkernel.layer0.nkf.INKFRequestContext;
import org.netkernel.layer0.nkf.INKFResponseReadOnly;
import org.netkernel.layer0.util.Utils;
import org.netkernel.module.standard.endpoint.StandardAccessorImpl;

public class DebugAccessor extends StandardAccessorImpl
{
	public DebugAccessor()
	{	declareThreadSafe();
	}
	
	public void onSource(INKFRequestContext aContext) throws Exception
	{	INKFResponseReadOnly<?> respIn=aContext.sourceForResponse("arg:operand");
		aContext.createResponseFrom(respIn);		
		Object rep=respIn.getRepresentation();
		String msg;
		if (rep!=null)
		{	msg=Utils.shortClassName(rep.getClass())+": "+rep.toString();
		}
		else
		{	msg="null: null";
		}
		System.out.println(msg);
	}
}