package org.netkernel.lang.ncode.builtin;

import org.netkernel.layer0.meta.impl.IdentifierArgumentMetaImpl;
import org.netkernel.layer0.nkf.INKFRequestContext;
import org.netkernel.module.standard.endpoint.StandardAccessorImpl;

public class DeleteVerbAccessor extends StandardAccessorImpl
{
	public DeleteVerbAccessor()
	{	declareThreadSafe();
		declareArgument(new IdentifierArgumentMetaImpl("identifier",null,null));
		declareSourceRepresentation(Boolean.class);
	}
	
	public void onSource(INKFRequestContext aContext) throws Exception
	{	String identifier=aContext.getThisRequest().getArgumentValue("identifier");
		boolean result=aContext.delete(identifier);
		aContext.createResponseFrom(result);
	}
}