package org.netkernel.lang.ncode.builtin;

import org.netkernel.layer0.nkf.INKFRequestContext;
import org.netkernel.layer0.nkf.INKFResponse;
import org.netkernel.layer0.nkf.INKFResponseReadOnly;
import org.netkernel.module.standard.endpoint.StandardAccessorImpl;

public class SetHeaderAccessor extends StandardAccessorImpl
{
	public SetHeaderAccessor()
	{	declareThreadSafe();
	}
	
	public void onSource(INKFRequestContext aContext) throws Exception
	{	INKFResponseReadOnly operand=aContext.sourceForResponse("arg:operand");
		String name=aContext.source("arg:name",String.class);
		Object rep=aContext.source("arg:value",Object.class);
		INKFResponse resp=aContext.createResponseFrom(operand);
		resp.setHeader(name, rep);
	}
}
