package org.netkernel.lang.ncode.builtin;

import org.netkernel.layer0.meta.impl.IdentifierArgumentMetaImpl;
import org.netkernel.layer0.meta.impl.SourcedArgumentMetaImpl;
import org.netkernel.layer0.nkf.INKFRequestContext;
import org.netkernel.module.standard.endpoint.StandardAccessorImpl;

public class SinkVerbAccessor extends StandardAccessorImpl
{
	public SinkVerbAccessor()
	{	declareThreadSafe();
		declareArgument(new IdentifierArgumentMetaImpl("identifier",null,null));
		declareArgument(new SourcedArgumentMetaImpl("representation","this representation is SINKed to the resource",null,new Class[] {Object.class}));
		declareSourceRepresentation(Void.class);
	}
	
	public void onSource(INKFRequestContext aContext) throws Exception
	{	String identifier=aContext.getThisRequest().getArgumentValue("identifier");
		Object rep=aContext.source("arg:representation");
		aContext.sink(identifier, rep);
	}	
}