package org.netkernel.lang.ncode.builtin;

import org.netkernel.layer0.meta.impl.IdentifierArgumentMetaImpl;
import org.netkernel.layer0.nkf.INKFRequestContext;
import org.netkernel.layer0.nkf.INKFResponseReadOnly;
import org.netkernel.module.standard.endpoint.StandardAccessorImpl;

public class SourceVerbAccessor extends StandardAccessorImpl
{
	public SourceVerbAccessor()
	{	declareThreadSafe();
		declareArgument(new IdentifierArgumentMetaImpl("identifier",null,null));
		declareSourceRepresentation(Object.class);
	}
	
	public void onSource(INKFRequestContext aContext) throws Exception
	{	String identifier=aContext.getThisRequest().getArgumentValue("identifier");
		INKFResponseReadOnly<?> respIn=aContext.sourceForResponse(identifier,aContext.getThisRequest().getRepresentationClass());
		aContext.createResponseFrom(respIn);
	}
}