package org.netkernel.lang.ncode.editor;

import org.netkernel.layer0.representation.IHDSNode;
import org.netkernel.layer0.representation.impl.HDSBuilder;

public abstract class IValueValidator
{
	public static final IHDSNode VALID;
	
	static
	{	HDSBuilder b=new HDSBuilder();
		b.addNode("valid",true);
		VALID=b.getRoot();
	}
	
	/**
	 * @param aValue
	 * @return HDS Structure containing isValid, message (at the moment)
	 */
	public abstract IHDSNode validate(String aValue);
}
