package org.netkernel.lang.ncode;
import java.util.*;

public class CountMap
{
	private Map<Object, Integer> mMap=new HashMap<Object, Integer>();
	
	public CountMap()
	{
	}
	
	public CountMap(CountMap aOther)
	{	for (Object key: aOther.keySet())
		{	mMap.put(key, Integer.valueOf(aOther.get(key)));
		}
	}
	
	public int increment(Object aKey)
	{	Integer v=mMap.get(aKey);
		if (v==null)
		{	v=Integer.valueOf(1);
		}
		else
		{	v=Integer.valueOf(v+1);
		}
		mMap.put(aKey, v);
		return v;
	}
	
	public int get(Object aKey)
	{	Integer result=mMap.get(aKey);
		if (result==null)
		{	return 0;
		}
		else
		{	return result;
		}
	}
	
	public Set<Object> keySet()
	{	return mMap.keySet();
	}
	
}
