package org.netkernel.lang.ncode.builtin;

import org.netkernel.layer0.nkf.INKFRequestContext;
import org.netkernel.layer0.nkf.INKFResponseReadOnly;
import org.netkernel.module.standard.endpoint.StandardAccessorImpl;

public class GetHeaderAccessor extends StandardAccessorImpl
{
	public GetHeaderAccessor()
	{	declareThreadSafe();
	}
	
	public void onSource(INKFRequestContext aContext) throws Exception
	{	INKFResponseReadOnly operand=aContext.sourceForResponse("arg:operand");
		String name=aContext.source("arg:name",String.class);
		Object result;
		if (operand.hasHeader(name))
		{	result=operand.getHeader(name);
		}
		else
		{	result=null;
		}
		aContext.createResponseFrom(result);
	}
}
