package org.netkernel.lang.ncode.builtin;

import org.netkernel.layer0.meta.impl.IdentifierArgumentMetaImpl;
import org.netkernel.layer0.nkf.INKFRequestContext;
import org.netkernel.module.standard.endpoint.StandardAccessorImpl;

public class IdentifierToString extends StandardAccessorImpl
{
	public IdentifierToString()
	{	this.declareThreadSafe();
		this.declareArgument(new IdentifierArgumentMetaImpl("operand",null,null));
		this.declareSourceRepresentation(String.class);
	}
	
	public void onSource(INKFRequestContext aContext) throws Exception
	{	String identifier=aContext.getThisRequest().getArgumentValue("operand");
		aContext.createResponseFrom(identifier);
	}
}
