package org.netkernel.lang.ncode.builtin;

import org.netkernel.layer0.meta.impl.SourcedArgumentMetaImpl;
import org.netkernel.layer0.nkf.INKFRequestContext;
import org.netkernel.module.standard.endpoint.StandardAccessorImpl;
import org.netkernel.util.Utils;

public class ToStringAccessor extends StandardAccessorImpl
{
	public ToStringAccessor()
	{	this.declareThreadSafe();
		this.declareSourceRepresentation(String.class);
	}
	public void onSource(INKFRequestContext aContext)
	{
		Object o;
		try
		{	o=aContext.source("arg:operand");
		}
		catch (Exception e)
		{	o=e;
		}
		String result;
		if (o==null)
		{	result="null";
		}
		else if (o instanceof Exception)
		{	result=Utils.throwableToString((Exception)o);
		}
		else
		{	result=o.toString();
		}
		aContext.createResponseFrom(result);
	}
}
