function showDocumentation(aEndpointId, aDocId)
{
	var d=$("#documentationWindow");
	var isOpen=false;
	try
	{	d.dialog("isOpen");
		isOpen=true;
	}	catch (e) { }
	
	var dopts=
	{	close: function()
		{	d.empty();
		},
		dialogClass: "documentationWindow"
	};
	if (!isOpen)
	{	dopts.position=["right","bottom"];
		dopts.width=640;
		dopts.height=400;
	}
	var url;
	if (aEndpointId)
	{	url="/tools/ncode/doc/"+gEntityId+"?eid="+aEndpointId;
	}
	else
	{	url="/tools/ncode/doc/"+gEntityId+"?did="+aDocId;
	}
	
	$.get(url, function(aData)
	{	
		if (aData==null)
		{	ajaxErrorDialog();
			return;
		}
		d.empty();
		d.scrollTop(0);
		var ad=$(aData);
		ad.appendTo(d);
		var name=ad.attr("ep-name");
		if (name!=undefined)
		{	dopts.title=name+" Documentation";
		}
		else
		{	dopts.title="No documentation found for "+aEndpointId;
		}
		d.dialog(dopts);
	},"html");
}

